glance:
  enabled: false
heat:
  enabled: false
magnum:
  enabled: false
nova:
  enabled: true
  labels:
    agent:
      compute:
        node_selector_key: node-role.kubernetes.io/ats-poc-874-rv-ip92-compute
        node_selector_value: "enabled"
  images:
    tags:
      nova_api: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_cell_setup: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      #nova_compute: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_compute: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-01
      nova_compute_ironic: 'tn-regitry.cern.ch/ubuntu-source-nova-compute-ironic:ocata'
      nova_compute_ssh: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_conductor: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_consoleauth: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_db_sync: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_novncproxy: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_novncproxy_assets: 'tn-regitry.cern.ch/ubuntu-source-nova-novncproxy:ocata'
      nova_placement: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_scheduler: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      nova_spiceproxy: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-01
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    nova:
      DEFAULT:
        activedirectory_endpoint: "https://compmgtsvc.web.cern.ch/compmgtsvc/compmgtsvc.asmx?wsdl"
      glance:
        api_servers: "https://openstack-glance-tn1.cern.ch"
        insecure: "false"
      neutron:
        url: "https://openstack-neutron-tn1.cern.ch"
        default_floating_pool: "nova"
        extension_sync_interval: "600"
        timeout: "300"
        auth_type: "v3password"
        auth_url: "https://keystone.cern.ch/v3"
        project_name: "services"
        project_domain_name: "Default"
        username: "svcneu"
        user_domain_name: "Default"
        insecure: "false"
        region_name: "tn1"
      placement:
        insecure: "false"
        region_name: tn1
      workarounds:
        enable_consoleauth: "true"
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_db_api:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_db_cell0:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: tn1-rabbit.cern.ch
      host_fqdn_override:
        default: tn1-rabbit.cern.ch
      port:
        amqp:
          default: 32672
        http:
          default: 32673
    identity:
      auth:
        nova:
          region_name: tn1
        placement:
          region_name: tn1
  pod:
    mounts:
      nova_compute:
        nova_compute:
          volumeMounts:
          - name: dev
            mountPath: /dev
          volumes:
          - name: dev
            hostPath:
              path: /dev
  manifests:
    certificates: false
    configmap_bin: true
    configmap_etc: true
    cron_job_cell_setup: false
    cron_job_service_cleaner: false
    daemonset_compute: true
    deployment_api_metadata: false
    deployment_api_osapi: false
    deployment_placement: false
    deployment_conductor: false
    deployment_consoleauth: false
    deployment_novncproxy: false
    deployment_spiceproxy: false
    deployment_scheduler: false
    ingress_metadata: false
    ingress_novncproxy: false
    ingress_placement: false
    ingress_osapi: false
    job_bootstrap: false
    job_db_init: false
    job_db_init_placement: false
    job_db_sync: false
    job_db_drop: false
    job_image_repo_sync: false
    job_rabbit_init: false
    job_ks_endpoints: false
    job_ks_service: false
    job_ks_user: false
    job_ks_placement_endpoints: false
    job_ks_placement_service: false
    job_ks_placement_user: false
    job_cell_setup: false
    pdb_metadata: false
    pdb_placement: false
    pdb_osapi: false
    pod_rally_test: false
    network_policy: false
    secret_db_api: false
    secret_db_cell0: false
    secret_db: true
    secret_ingress_tls: false
    secret_keystone: false
    secret_keystone_placement: false
    secret_rabbitmq: false
    service_ingress_metadata: false
    service_ingress_novncproxy: false
    service_ingress_placement: false
    service_ingress_osapi: false
    service_metadata: false
    service_placement: false
    service_novncproxy: false
    service_spiceproxy: false
    service_osapi: false
    statefulset_compute_ironic: false
neutron:
  enabled: true
  images:
    tags:
      neutron_server: tn-regitry.cern.ch/neutron:v0.12.5-strigazi-06
      neutron_linuxbridge_agent: tn-regitry.cern.ch/neutron:v0.12.5-strigazi-06
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    neutron:
      keystone_authtoken:
        insecure: "false"
      nova:
        insecure: "false"
        region_name: "tn1"
    plugins:
      # cat /etc/neutron/plugins/ml2/linuxbridge_agent.ini   | grep -v "^#.*" | sed '/^$/d'
      # [DEFAULT]
      # [vxlan]
      # enable_vxlan=False
      # [linux_bridge]
      # physical_interface_mappings=external:eth0
      # [securitygroup]
      # firewall_driver=noop
      # cat /etc/neutron/plugins/ml2/ml2_conf.ini   | grep -v "^#.*" | sed '/^$/d'
      # [securitygroup]
      # enable_security_group=False
      ml2_conf:
        ml2:
          extension_drivers:
          mechanism_drivers: linuxbridge,cern_landb
          type_drivers: flat
          tenant_network_types: flat
        ml2_type_vxlan:
          vni_ranges: ""
          vxlan_group: ""
      linuxbridge_agent:
        linux_bridge:
          bridge_mappings: ""
          physical_interface_mappings: "external:eth2"
        securitygroup:
          firewall_driver: noop
        vxlan:
          enable_vxlan: False
          l2_population: False
          arp_responder: False

  labels:
    lb:
      node_selector_key: node-role.kubernetes.io/ats-poc-874-rv-ip92-linuxbridge
      node_selector_value: "enabled"
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: tn1-rabbit.cern.ch
      host_fqdn_override:
        default: tn1-rabbit.cern.ch
      port:
        amqp:
          default: 32672
        http:
          default: 32673
    identity:
      auth:
        neutron:
          region_name: tn1
  manifests:
    certificates: false
    configmap_bin: true
    configmap_etc: true
    daemonset_dhcp_agent: false
    daemonset_l3_agent: false
    daemonset_lb_agent: true
    daemonset_metadata_agent: false
    daemonset_ovs_agent: false
    daemonset_sriov_agent: false
    daemonset_l2gw_agent: false
    daemonset_bagpipe_bgp: false
    daemonset_netns_cleanup_cron: false
    deployment_ironic_agent: false
    deployment_server: false
    ingress_server: false
    job_bootstrap: false
    job_db_init: false
    job_db_sync: false
    job_db_drop: false
    job_image_repo_sync: false
    job_ks_endpoints: false
    job_ks_service: false
    job_ks_user: false
    job_rabbit_init: false
    pdb_server: false
    pod_rally_test: false
    network_policy: false
    secret_db: true
    secret_ingress_tls: false
    secret_keystone: false
    secret_rabbitmq: false
    service_ingress_server: false
    service_server: false
  pod:
    use_fqdn:
      neutron_agent: false
rabbitmq-ha:
  enabled: false

libvirt:
  enabled: true
  images:
    tags:
      libvirt: tn-regitry.cern.ch/nova:19.0.1-10
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  labels:
    agent:
      libvirt:
        node_selector_key: node-role.kubernetes.io/ats-poc-874-rv-ip92-compute
        node_selector_value: "enabled"
  manifests:
    configmap_bin: true
    configmap_etc: true
    daemonset_libvirt: true
    job_image_repo_sync: false
    network_policy: false

# CERN golang-dhcp-agent
golang_dhcp_agent:
  nodeSelector:
    node-role.kubernetes.io/ats-poc-874-rv-ip92-linuxbridge: enabled
